---
title: east van cross
description: SVG recreation of the iconic East Van Cross, a sculpture created by Ken Lum. 
postDetails: Created from a photograph taken by Mike Heller. Neon filters and CSS animation created with help from a blogpost and codepen by Nils Binder.

createdOn: 2019-08-17
date: Last Modified
tags:
  - svg
  - CSS
  - creative
layout: layouts/post.html
codepen: xxZNEmN
bodyColor: '#011a4e'
---
<style>
.east-van{
  --sky:     #012355;
  --sky-alt: #011a4e;
  background: radial-gradient(at 0% 0%, var(--sky), var(--sky-alt)); */
}

.east-van__cross{
  display: block;
  height: 400px;
  padding: 20px;
  margin: 0 auto;
}

.east-van__cross path {
  animation: flicker 4s infinite;
}

@keyframes flicker {
  0%    { opacity: 1;   }
  2%    { opacity: 0.9; }
  4%    { opacity: 1;   }
  8%    { opacity: 0.9; }
  12%   { opacity: 1;   }
  100%  { opacity: 1;   }
}

</style>
<div class="east-van">
  <svg class="east-van__cross" xmlns="http://www.w3.org/2000/svg" data-name="Layer 1" viewBox="-20 -20 560 900" preserveAspectRatio="xMidYMid meet">
    <filter id="glow" width="200%" height="200%" x="-50%" y="-50%" filterUnits="objectBoundingBox">
      <feOffset in="SourceAlpha" result="shadowOffsetOuter1"/>
      <feGaussianBlur in="shadowOffsetOuter1" result="shadowBlurOuter1" stdDeviation="1"/>
      <feColorMatrix in="shadowBlurOuter1" result="shadowMatrixOuter1" values="0 0 0 0 0.99 0 0 0 0 1 0 0 0 0 0.99 0 0 0 1 0"/>
      <feOffset dy="1" in="SourceAlpha" result="shadowOffsetOuter2"/>
      <feGaussianBlur in="shadowOffsetOuter2" result="shadowBlurOuter2" stdDeviation="4"/>
      <feColorMatrix in="shadowBlurOuter2" result="shadowMatrixOuter2" values="0 0 0 0 0.99 0 0 0 0 1 0 0 0 0 0.99 0 0 0 0.8 0"/>
      <feOffset dy="2" in="SourceAlpha" result="shadowOffsetOuter3"/>
      <feGaussianBlur in="shadowOffsetOuter3" result="shadowBlurOuter3" stdDeviation="6"/>
      <feColorMatrix in="shadowBlurOuter3" result="shadowMatrixOuter3" values="0 0 0 0 0.99 0 0 0 0 1 0 0 0 0 0.99 0 0 0 0.6 0"/>
      <feOffset dx="2" dy="2" in="SourceAlpha" result="shadowOffsetOuter4"/>
      <feGaussianBlur in="shadowOffsetOuter4" result="shadowBlurOuter4" stdDeviation="1"/>
      <feColorMatrix in="shadowBlurOuter4" result="shadowMatrixOuter4" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.7 0"/>
      <feOffset in="SourceAlpha" result="shadowOffsetOuter5"/>
      <feGaussianBlur in="shadowOffsetOuter5" result="shadowBlurOuter5" stdDeviation="0"/>
      <feColorMatrix in="shadowBlurOuter5" result="shadowMatrixOuter5" values="0 0 0 0 0.99 0 0 0 0 1 0 0 0 0 0.99 0 0 0 0.6 0"/>
      <feMerge>
        <feMergeNode in="shadowMatrixOuter1"/>
        <feMergeNode in="shadowMatrixOuter2"/>
        <feMergeNode in="shadowMatrixOuter3"/>
        <feMergeNode in="shadowMatrixOuter4"/>
        <feMergeNode in="shadowMatrixOuter5"/>
      </feMerge>
    </filter>
    <path d="M443.2 421.85c1.38-.51 2.78-1.43 4.2-1.48 8.13-.24 16.3.15 24.39-.47 13.15-1 21.32-9.92 21.29-23.14-.05-20-.49-40-.78-60.07-.06-4.07-.37-8.15-.17-12.21.1-2 1.09-4 1.58-5.71-.52-1.5-1.53-3.06-1.56-4.63q-.68-38.94-1.13-77.89c-.11-8.21-2.4-15.36-9.3-20.5a24.5 24.5 0 0 0-14.81-4.75c-8.36-.09-16.73 0-25.09-.1-1.38 0-2.74-.81-4-1.21-1.45.44-3.07 1.36-4.7 1.37-10.78 0-21.56-.15-32.34-.27-3 0-5.47-.82-6.22-4.09-4.15 3.34-8.92 3.53-13.76 2.48-18-3.9-32.37-21.05-32.59-39.52-.33-27.29-.23-54.58-.3-81.87 0-3.41.08-6.82 0-10.23-.06-2.06.59-3 2.81-3a13.27 13.27 0 0 0 5.93-1.05l-8.68-.65c0-9-.07-17.64 0-26.3.12-11.68-4.43-19.8-14.39-23.59-4-1.52-8.58-1.82-12.93-2-15.49-.57-31-.77-46.49-1.25-5.14-.16-10.29-.59-15.4-1.2-1.35-.16-2.58-1.42-4.06-2.28.88 4.64-2.75 4.16-5.76 4.18-17.16.15-34.31.15-51.47.33-7.31.08-14.83-.71-21.69 2.66-8.45 4.19-12.93 11.1-12.85 20.59.17 21 .44 42 .67 63 .23 20.36.52 40.71.68 61.07.18 22.81-18.36 41.92-41.13 42.16-14.83.16-29.66-.18-44.49-.29-4.27 0-4.29 0-4.22-4.22.08-4.4.1-8.8.37-13.18.05-.86 1.16-2.38 1.79-2.38 13.18-.07 26.37-.13 39.54.15 9.29.2 17.31-2 22.92-10 3.13-4.44 3.71-9.53 3.65-14.79q-.48-41.59-.91-83.17-.21-18.64-.46-37.27C141 21 159.59 1.19 183.86.75 206.92.33 230 .58 253.07.55a13.66 13.66 0 0 1 1.65.3v11.3h.71l.54-6c.35-3.94 2.84-6.15 6.89-6.15 21.14.22 42.22.34 63.33.76a44.24 44.24 0 0 1 43.23 43.63c.13 9.45 0 18.9 0 28.46l-3.8.94c3.56.51 3.87 2.72 3.86 5.68-.06 27.94 0 55.89.06 83.83 0 2 0 4 .17 5.94a22.28 22.28 0 0 0 16.19 20.31A32.24 32.24 0 0 0 397 191c13.39-.52 26.82 0 40.23 0 8.28 0 16.56-.26 24.84-.43 9.82-.2 19.34 1 28 6.12 13.94 8.34 21.87 20.22 22.11 36.86.38 27.06 1 54.12 1.43 81.18s.47 53.91 1.34 80.84c.8 24.78-18.1 43.61-41.87 45-8.56.49-17.16.14-25.74.27-2.58 0-3.61-1.53-3.81-3.6-.37-4-.41-8-1-12v15.48c-9.67 0-19-.08-28.35 0-7.8.09-15.69-.29-23.37.77-12.25 1.7-19.44 11.3-19.23 23.69q1.14 67.32 2.11 134.65.94 65.52 1.73 131c.21 15.83.65 31.66.67 47.49 0 21.15-13.76 38.85-34.38 43.53-6 1.36-12.44 1.12-18.68 1.09-19.47-.08-38.94-.41-58.41-.66-1.19 0-2.37-.14-3.67-.22l-.47-4.8h-.27l-.53 5.71a30.24 30.24 0 0 0-4.21-.57c-20.58-.07-41.15-.06-61.73-.15a27.76 27.76 0 0 1-5.05-1 7 7 0 0 0-2.58-.37c-11.67 2.45-20.51-3.48-28.52-10.4-10.16-8.78-15.08-20.32-15-33.88.05-12.32 0-24.65.06-37a22.89 22.89 0 0 1 .86-4.41 42.89 42.89 0 0 1-.82-6c0-26.3.18-52.59.24-78.88q.15-65.67.23-131.33c0-7.81.18-15.63 0-23.43-.06-2.88 1-3.7 3.64-3.4a19.11 19.11 0 0 0 4.92-.21 7.88 7.88 0 0 0-1-.13c-7.48-.15-7.51-.14-7.59-7.74-.07-6.6 0-13.2-.13-19.8-.22-15.81-10.74-25.59-26.61-25.46-19.47.17-38.94-.09-58.41-.24-1.93 0-4.23.44-5.34-2a1.59 1.59 0 0 0-1.24-.25c-5.8.82-11.5-1.4-17.51.07-3 .73-7-1.38-10.13-3.07C8.31 424.92-.08 412 0 394.11q.16-35 .33-70c.1-30.23.05-60.47.27-90.7.16-22.41 14.48-39.54 36.81-42.58 11.08-1.51 22.49-.67 33.75-.77a2.67 2.67 0 0 1 2.05 1.56c.23 2.46 0 5 .09 7.43a60.16 60.16 0 0 0 .46 6.18c.52 3.94-.26 5-4.22 5-6.82-.07-13.63-.4-20.45-.4-11.55 0-20.56 3.51-25.2 14.34a25.61 25.61 0 0 0-1.71 9.63c-.24 23.43-.26 46.87-.41 70.3a14.45 14.45 0 0 1-1.08 5.07 24.15 24.15 0 0 1 1 4.91c0 19.36-.07 38.73-.06 58.09 0 8.47-.15 17 .38 25.4.94 14.82 14.83 21.23 24.44 21.19 24.53-.09 49.06-.33 73.59-.14a44.41 44.41 0 0 1 43.59 35.74c1.12 5.42.85 11.16 1 16.76s.08 11.44 0 17.17a25.49 25.49 0 0 1-.75 4.12 28.6 28.6 0 0 1 .8 4.95q.09 50.68.05 101.35 0 59.26-.12 118.52c0 4.73.08 9.47 0 14.19a13.53 13.53 0 0 1-1.11 3.56 31.36 31.36 0 0 1 .95 5.35c.16 12.43.12 24.86.3 37.29a23.7 23.7 0 0 0 17 22.68c1.87.59 3.52 1.89 5.58 3 2.22-3.37 6.38-2 10.09-2 19.35-.12 38.71-.11 58.06-.14h4.33v3.24c.52-3.14 2.81-3.1 5.21-3.09 20 .14 40 .06 60.07.5 5.47.12 10.8 0 15.61-2.37 8.76-4.32 13.26-11.66 13.22-21.5 0-13-.27-26-.3-39 0-1.29.8-2.57 1.19-3.77-.43-1.56-1.32-3.34-1.35-5.14-.41-28.27-.67-56.54-1-84.81q-.92-72.62-1.9-145.23c-.16-12.32-.44-24.64-.5-37-.11-22.9 18.27-42.15 41.2-42.72 15.83-.4 31.67-.16 47.51-.06 1.49.11 3 1.12 4.43 1.64z" filter="url(#glow)"/><path d="M343.74 235.54c7.7 0 14.84-.07 22 .1.89 0 2 1.18 2.57 2.09 14.94 23.21 29.79 46.48 44.75 69.68 9.83 15.25 19.81 30.39 29.72 45.59 1.1 1.69 2.12 3.44 3.17 5.16l.82-.21-2.51-121.71h22.22l1.73 160.52c-5.67 0-10.79.16-15.9-.11-1.29-.07-2.56-2.31-3.74-2.22-4.87.39-6.09-3.48-8-6.39q-29.71-46.19-59.28-92.48c-5.2-8.12-10.47-16.2-16.5-24.19l2 125.15c-7.29 0-14.17.06-21-.12-.48 0-1.3-1.78-1.31-2.73q-.31-31.19-.45-62.39-.19-45.22-.29-90.44v-5.3zM326.46 377.58q-15.86-38.4-31.75-76.78-13-31.55-25.74-63.19c-.7-1.73-1.41-2.53-3.53-2.47-5.93.16-11.88.06-17.81-.18-2.22-.09-3.35.51-4.16 2.63-2.51 6.57-5.23 13.06-7.87 19.57q-27.42 67.67-54.82 135.34c-.4 1-.61 2-1.05 3.51 7.25 0 14.07-.18 20.87.08 3.08.12 4.43-1 5.5-3.77 5.22-13.41 10.68-26.73 15.93-40.14.93-2.37 2.12-3.36 4.8-3.34q29.53.24 59.06.14c3 0 4.12 1.12 5.14 3.71 5.45 13.79 11.14 27.48 16.64 41.25.78 1.94 1.73 2.75 3.87 2.61 3-.2 5.93 0 8.9 0h13.66c-2.74-6.83-5.1-12.92-7.64-18.97zm-94.64-50.77c8.08-21 16-40.86 23.93-61 .27-.06.54 0 .81-.1 8.18 20.09 16.36 40.11 24.86 61.11h-49.6zM303.37 457.54c-7 0-13.7.08-20.37-.12-.7 0-1.72-1.65-1.95-2.67-1.42-6.36-4.35-11.68-9.86-15.4-8.75-5.91-22-4.68-29.21 2.72-7.76 7.95-9 21-2.8 29.76 3.85 5.44 9.78 7.62 15.78 9.51 5.66 1.78 11.46 3.14 17.07 5 17.82 6 31.07 17.07 34.51 36.3 3.54 19.8-1.13 37.71-16.89 51.37a43 43 0 0 1-25.27 10.31c-13.34 1-26.24-.53-37.29-8.95-13.06-10-18.92-23.56-19.31-39.75a8.47 8.47 0 0 1 .27-1.49h19.08c2.23 0 2.14 1.8 2.3 3.3a28.38 28.38 0 0 0 6.62 15.89c7.67 8.83 17.64 10.85 28.52 8.29 10.52-2.47 16.71-9.62 19.23-20 3.74-15.49-3.09-27.94-18.58-33.49-7.34-2.63-14.92-4.59-22.22-7.3-15.27-5.67-26.7-15.55-29.52-32.2-4.91-29 13.66-53.73 44.47-54.08 25.15-.29 43.21 15.76 45.42 40.88.05.69 0 1.34 0 2.12zM212.4 47.29h74.73c3.19 0 6.39-.13 9.56.1a3 3 0 0 1 2.12 2c.17 5.81.1 11.63.1 17.95h-62.37V116h63c0 6.57.07 12.6-.11 18.62 0 .59-1.6 1.63-2.46 1.63-15.62 0-31.24-.08-46.86-.14-3.74 0-7.49 0-11.21.19a3 3 0 0 0-2.14 1.91c-.12 15.38-.09 30.75-.09 46.8h63.21c0 7.21.05 13.77-.1 20.32 0 .53-1.49 1.46-2.29 1.46-14.63 0-29.26-.19-43.89-.28-12.2-.07-24.41-.15-36.61-.07-2.78 0-3.8-.68-3.81-3.68q-.26-76.24-.73-152.48c-.05-.93-.05-1.9-.05-2.99zM200.53 234.72c-2.26 5.46-4.07 10-6 14.53q-31 71.34-62.06 142.68c-1.32 3-2.95 4.36-6.22 3.48a12.34 12.34 0 0 0-3.59-.41c-7.34.25-7.31.26-10.16-6.48q-15.24-36.14-30.52-72.27-16.8-39.62-33.6-79.25c-.41-1-.7-2-1.14-3.28 8.64 0 16.87-.08 25.09.11.88 0 2.1 1.41 2.52 2.42 6.92 17 13.68 34.06 20.58 51.07q12.51 30.85 25.15 61.65c.78 1.91 1.48 3.85 2.45 6.38.59-1.15 1-1.74 1.21-2.37q24.18-57.77 48.31-115.57c.84-2 1.86-2.83 4.1-2.79 7.67.18 15.35.1 23.88.1zM302 607.46v21.15h-31.7L271.41 774c-6.48 0-12.49.12-18.49 0-5.71-.15-5.7-.28-5.74-5.83l-1-136c0-2.73-.8-3.63-3.53-3.59-8.14.11-16.29-.08-24.43 0-3 0-4.37-.93-4.21-4.18.25-4.94.16-9.9.12-14.85 0-1.82.35-2.85 2.54-2.84q41.92.32 83.84.53a10.24 10.24 0 0 1 1.49.22z" filter="url(#glow)"/></svg>
</div>

